/**
 * Created by jwd on 2015/7/3.
 */
angular.module('sdb.directives', [])
.directive('hideTabs', function($rootScope,$ionicHistory) {
    return {
        restrict: 'A',
        link: function(scope, element, attributes) {
            $rootScope.hideTabs = attributes.hideTabs;
            scope.$on('$destroy', function() {
                //一级菜单，显示tabs
                if($ionicHistory.currentView().index == 0){
                    $rootScope.hideTabs = false;
                };
            });
        }
    };
})
.directive('focusMe', function($timeout) {
    return {
        link: function(scope, element, attrs) {
            scope.$watch(attrs.focusMe, function(value) {
                if(value === true) {
                    $timeout(function () {
                        element[0].focus();
                    },50);
                }
            });
        }
    };
})
.directive('bindHtmlUnsafe', function( $compile ) {
    return function( $scope, $element, $attrs ) {

        var compile = function( newHTML ) { // Create re-useable compile function
            newHTML = $compile(newHTML)($scope); // Compile html
            $element.html('').append(newHTML); // Clear and append it
        };

        var htmlName = $attrs.bindHtmlUnsafe; // Get the name of the variable
                                              // Where the HTML is stored

        $scope.$watch(htmlName, function( newHTML ) { // Watch for changes to
            // the HTML
            if(!newHTML) return;
            compile(newHTML);   // Compile it
        });

    };
});